> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Pricing Presets



## OpenAPI

````yaml /openapi.json get /v1/pricing-presets
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/pricing-presets:
    get:
      tags:
        - Pricing Presets
      summary: List Pricing Presets
      operationId: PricingPresetsController_findAll_v1
      parameters: []
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PricingPresetResponseDto'
components:
  schemas:
    PricingPresetResponseDto:
      type: object
      properties:
        key:
          enum:
            - budget
            - no_pricing
            - budget_view_only
            - costs
            - budget_and_costs
            - client_prices
            - costs_and_margin
            - full_pricing_view_only
            - full_pricing
            - budget_and_spend
            - costs_not_selling
            - full_pricing_not_selling
          type: string
        lists:
          type: array
          items:
            type: string
            enum:
              - selling
              - not_selling
        levels:
          $ref: '#/components/schemas/PricingPresetLevelsResponseDto'
      required:
        - key
        - lists
        - levels
    PricingPresetLevelsResponseDto:
      type: object
      properties:
        estimate:
          type: string
          enum:
            - none
            - view
            - edit
        cost:
          type: string
          enum:
            - none
            - view
            - edit
        sell:
          type: string
          enum:
            - none
            - view
            - edit
      required:
        - estimate
        - cost
        - sell

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.